<?php
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

    function cross_service_solutions_compress_pdf_customize_register($wp_customize) {
        // Add a section for Compress PDF
        $wp_customize->add_section('compress_pdf_settings', array(
            'title' => __('Compress PDF Settings', 'compress-pdf'),
            'priority' => 30,
        ));

        // Primary color setting for Compress PDF
        $wp_customize->add_setting('compress_pdf_primary_color', array(
            'default' => '#4f46e5',
            'transport' => 'refresh',
        ));

        // Secondary color setting for Compress PDF
        $wp_customize->add_setting('compress_pdf_secondary_color', array(
            'default' => '#eef2ff',
            'transport' => 'refresh',
        ));

        // Tertiary color setting for Compress PDF
        $wp_customize->add_setting('compress_pdf_tertiary_color', array(
            'default' => '#000000',
            'transport' => 'refresh',
        ));

        // Background color setting for Compress PDF
        $wp_customize->add_setting('compress_pdf_background_color', array(
            'default' => '#ffffff',
            'transport' => 'refresh',
        ));

        // Controls for Compress PDF
        $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'compress_pdf_primary_color_control', array(
            'label' => __('Compress PDF Primary Color', 'compress-pdf'),
            'section' => 'compress_pdf_settings',
            'settings' => 'compress_pdf_primary_color',
        )));
        $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'compress_pdf_secondary_color_control', array(
            'label' => __('Compress PDF Secondary Color', 'compress-pdf'),
            'section' => 'compress_pdf_settings',
            'settings' => 'compress_pdf_secondary_color',
        )));
        $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'compress_pdf_tertiary_color_control', array(
            'label' => __('Compress PDF Tertiary Color', 'compress-pdf'),
            'section' => 'compress_pdf_settings',
            'settings' => 'compress_pdf_tertiary_color',
        )));
        $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'compress_pdf_background_color_control', array(
            'label' => __('Compress PDF Background Color', 'compress-pdf'),
            'section' => 'compress_pdf_settings',
            'settings' => 'compress_pdf_background_color',
        )));
    }
    add_action('customize_register', 'cross_service_solutions_compress_pdf_customize_register');

    function cross_service_solutions_compress_pdf_customizer_css() {
        $primary_color = get_theme_mod('compress_pdf_primary_color', '#4f46e5');
        $secondary_color = get_theme_mod('compress_pdf_secondary_color', '#eef2ff');
        $tertiary_color = get_theme_mod('compress_pdf_tertiary_color', '#000000');
        $background_color = get_theme_mod('compress_pdf_background_color', '#ffffff');
    
        // Define custom dynamic CSS
        $custom_css = "
            :root {
                --solution-compress-pdf-primary-color: " . esc_attr($primary_color) . ";
                --solution-compress-pdf-secondary-color: " . esc_attr($secondary_color) . ";
                --solution-compress-pdf-tertiary-color: " . esc_attr($tertiary_color) . ";
                --solution-compress-pdf-background-color: " . esc_attr($background_color) . ";
            }
        ";
        wp_add_inline_style('create-block-compress-pdf-style', $custom_css);
    }
    add_action('wp_enqueue_scripts', 'cross_service_solutions_compress_pdf_customizer_css');
    add_action('admin_init', 'cross_service_solutions_compress_pdf_customizer_css');
