<?php
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

if (!function_exists('cross_service_solutions_check_api_key')) {
    function cross_service_solutions_check_api_key($api_key) {
        // Validate the API key passed as a parameter
        if (empty($api_key)) {
            return false;
        }

        // Set up headers for the API request
        $args = array(
            'headers' => array(
                'Authorization' => 'Bearer ' . $api_key,
            )
        );

        // API request to verify the API key
        $response = wp_remote_get('https://api.process-machine-stage.com/solutions/solutions/wordpress/organization', $args);

        if (is_wp_error($response)) {
            $error_message = $response->get_error_message();
            return false;
        }

        // Decode the API response
        $license_data = json_decode(wp_remote_retrieve_body($response));

        // Check if the response contains the 'id' and 'name'
        if (isset($license_data->id) && isset($license_data->name)) {
            return $license_data; // Return the license data (ID and name)
        } else {
            return false;
        }
    }
}
